package com.ffii.lioner.modules.lioner.req;

import java.util.List;

import jakarta.validation.constraints.Size;

public class UpdateApplicationReq {
    
    private Long id;
    
    private Long eventId;

    @Size(max = 255)
    String name;

    @Size(max = 500)
    String description;

    List<Integer> subDivisionId;
    
    List<Integer> tagId;

    @Size(max = 50)
    String responsibleOfficer;

    @Size(max = 50)
    String status;

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getEventId() {
        return this.eventId;
    }

    public void setEventId(Long eventId) {
        this.eventId = eventId;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public List<Integer> getSubDivisionId() {
        return this.subDivisionId;
    }

    public void setSubDivisionId(List<Integer> subDivisionId) {
        this.subDivisionId = subDivisionId;
    }

    public List<Integer> getTagId() {
        return this.tagId;
    }

    public void setTagId(List<Integer> tagId) {
        this.tagId = tagId;
    }

    public String getResponsibleOfficer() {
        return this.responsibleOfficer;
    }

    public void setResponsibleOfficer(String responsibleOfficer) {
        this.responsibleOfficer = responsibleOfficer;
    }

    public String getStatus() {
        return this.status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

}
